Bug 155682 - [NEW PORT] games/redeclipse
Summary: [NEW PORT] games/redeclipse
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Martin Wilke
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-03-18 23:30 UTC by Sender Ghost
Modified: 2011-06-28 01:20 UTC (History)
0 users

See Also:


Attachments
file.diff (5.76 KB, patch)
2011-03-18 23:30 UTC, Sender Ghost
no flags Details | Diff
redeclipse.shar (5.86 KB, text/plain)
2011-03-23 11:37 UTC, Sender Ghost
no flags Details
redeclipse.patch (9.31 KB, patch)
2011-04-27 12:07 UTC, Sender Ghost
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sender Ghost 2011-03-18 23:30:12 UTC
Homepage:
http://www.redeclipse.net

Description:
Red Eclipse is a single-player and multi-player first-person ego-shooter, built as a total conversion of Cube Engine 2, which lends itself toward a balanced gameplay, with a general theme of agility in a variety of environments.

Note:
First public 1.0 version was released on 15 March 2011.
Based on games/sauerbraten port.
The port contains much more license information inside license.txt file. I described only general of them.

Fix: Use attached diff from /usr/ports/games directory.

Patch attached with submission follows:
Comment 1 Martin Wilke freebsd_committer 2011-03-19 02:07:38 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Sender Ghost 2011-03-23 11:37:23 UTC
Hello, Martin.

I have reread Porter's Handbook for new ports and tested 
games/redeclipse port with portlint. The fixes included with new shar file.

Thanks.
Comment 3 Sender Ghost 2011-04-27 12:07:46 UTC
Hello, Martin, Dmitry.

There was repocopy from games/bloodfrontier to games/redeclipse 
(ports/156010).
Therefore, I created a patch for it, where amdmi3 is maintainer.

 From now, the class of this problem report is: update

Thanks.
Comment 4 Martin Wilke freebsd_committer 2011-06-25 06:39:19 UTC
State Changed
From-To: open->closed

port is now present.
Comment 5 dfilter service freebsd_committer 2011-06-28 01:19:50 UTC
amdmi3      2011-06-28 00:19:36 UTC

  FreeBSD ports repository

  Modified files:
    games/redeclipse     Makefile distinfo pkg-descr 
    games/redeclipse/files patch-src_Makefile 
  Added files:
    games/redeclipse/files reclient.in reserver.in 
  Removed files:
    games/redeclipse/files bfclient.in bfserver.in 
  Log:
  Red Eclipse is a single-player and multi-player first-person ego-shooter,
  built as a total conversion of Cube Engine 2, which lends itself toward
  a balanced gameplay, with a general theme of agility in a variety of
  environments.
  
  WWW:    http://www.redeclipse.net/
  
  PR:             155682, 156010, 158308 (taken some bits from)
  Submitted by:   Sender Ghost <lightside@safebox.ru>
  
  Revision  Changes    Path
  1.30      +37 -16    ports/games/redeclipse/Makefile
  1.13      +2 -3      ports/games/redeclipse/distinfo
  1.3       +0 -3      ports/games/redeclipse/files/bfclient.in (dead)
  1.3       +0 -3      ports/games/redeclipse/files/bfserver.in (dead)
  1.11      +5 -5      ports/games/redeclipse/files/patch-src_Makefile
  1.1       +3 -0      ports/games/redeclipse/files/reclient.in (new)
  1.1       +3 -0      ports/games/redeclipse/files/reserver.in (new)
  1.4       +5 -5      ports/games/redeclipse/pkg-descr
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"